org.firebirdsql.gds.ng.wire

## Class AsynchronousChannelListener.Event

- java.lang.Object
- - org.firebirdsql.gds.ng.wire.AsynchronousChannelListener.Event

Enclosing interface:
  AsynchronousChannelListener

    public static class AsynchronousChannelListener.Event
    extends java.lang.Object

Event count notification

### Constructor Summary

Constructors
Constructor and Description
`Event(int eventId, int eventCount)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getEventCount()`
`int` `getEventId()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Event

    public Event(int eventId,
                 int eventCount)

### Method Detail

#### getEventId

    public int getEventId()

#### getEventCount

    public int getEventCount()